Subject: Shepherd doesn't restart previously running dependent services

From: "Thompson, David" <[email-masked]>
Date: Thu, 31 Mar 2016 09:23:24 -0400

If service 'foo' is depended on by service 'bar', and both are
running, and one runs 'herd restart foo', both 'foo' and 'bar' are
stopped, but then only 'foo' is restarted.  I think that the dependent
services that were stopped should also be restarted, otherwise the
user has to manually start them back up one at a time.

- Dave